| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members
AAX_IACFTaskAgent Class Referenceabstract
AAX SDK Manual » Additional AAX features » Task agent interface

`#include <AAX_IACFTaskAgent.h>`

Inheritance diagram for AAX_IACFTaskAgent:
[legend]
Collaboration diagram for AAX_IACFTaskAgent:
[legend]

## Description

Versioned interface for a component that accepts task requests.

:Implemented by the Plug-In:

The task agent is expected to complete the requested tasks asynchronously and to provide progress and completion details via calls on the AAX_IACFTask interface as the tasks proceed.

See also
  AAX_ITask

## Public Member Functions
Initialization and uninitialization
virtual AAX_Result | Initialize (IACFUnknown *iController)=0
virtual AAX_Result | Uninitialize ()=0
Task management
virtual AAX_Result | AddTask (IACFUnknown *iTask)=0
virtual AAX_Result | CancelAllTasks ()=0
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Member Function Documentation

## ◆ Initialize()

virtual AAX_Result AAX_IACFTaskAgent::Initialize | ( | IACFUnknown * | iController | ) |
| pure virtual

Initialize the object

Parameters

  [in] | iController | Interface allowing access to other objects in the object graph such as the plug-in's data model.

Implemented in AAX_CTaskAgent.

## ◆ Uninitialize()

virtual AAX_Result AAX_IACFTaskAgent::Uninitialize | ( |  | ) |
| pure virtual

Uninitialize the object

This method should release references to any shared objects

Implemented in AAX_CTaskAgent.

## ◆ AddTask()

virtual AAX_Result AAX_IACFTaskAgent::AddTask | ( | IACFUnknown * | iTask | ) |
| pure virtual

Request that the agent perform a task

Parameters

  [in] | iTask | The task to perform. The agent must retain a reference to this task if it will be used beyond the scope of this method. This object should support at least AAX_IACFTask .

Implemented in AAX_CTaskAgent.

## ◆ CancelAllTasks()

virtual AAX_Result AAX_IACFTaskAgent::CancelAllTasks | ( |  | ) |
| pure virtual

Request that the agent cancel all outstanding tasks

Implemented in AAX_CTaskAgent.

The documentation for this class was generated from the following file:

- AAX_IACFTaskAgent.h